>From 4c74ad313f608f0834961c63c70d1f811ef103b7 Mon Sep 17 00:00:00 2001
From: Karl Fogel <kfogel@red-bean.com>
Date: Sat, 6 Apr 2013 13:21:54 -0400
Subject: [PATCH] emacs: add missing paren to close
 `notmuch-bbdb/snarf-headers' definition.

This unbreaks emacs/notmuch-address.el.  Without this fix,
the notmuch build process fails with this error:

  $ make
  ...
  In toplevel form:
  emacs/notmuch.el:56:1:Error: End of file during parsing: \
    /path/to/source/tree/notmuch/emacs/notmuch-address.el
  make: *** [emacs/notmuch.elc] Error 1
  $
---
 emacs/notmuch-address.el |   12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

diff --git a/emacs/notmuch-address.el b/emacs/notmuch-address.el
index 32c8490..4eda098 100644
--- a/emacs/notmuch-address.el
+++ b/emacs/notmuch-address.el
@@ -107,13 +107,13 @@ line."
   (let ((addrs (bbdb-get-addresses nil nil 'notmuch-bbdb/get-header-content))
 	(bbdb-get-addresses-headers headers) ; headers to read
 	(bbdb-gag-messages t)) ; suppress m/n processed message)
-    (bbdb-update-records addrs t t))
+    (bbdb-update-records addrs t t)))
 
-  (defun notmuch-bbdb/snarf-from ()
-    "Import the sender of the current message into BBDB"
-    (interactive)
-    (notmuch-bbdb/snarf-headers
-     (list (assoc 'authors bbdb-get-addresses-headers))))
+(defun notmuch-bbdb/snarf-from ()
+  "Import the sender of the current message into BBDB"
+  (interactive)
+  (notmuch-bbdb/snarf-headers
+   (list (assoc 'authors bbdb-get-addresses-headers))))
 
 (defun notmuch-bbdb/snarf-to ()
   "Import all recipients of the current message into BBDB"
-- 
1.7.10.4

